package tech.nevets.vcardgen;

import com.google.gson.Gson;
import com.google.gson.JsonObject;
import com.google.gson.JsonSyntaxException;
import spark.Request;
import spark.Response;
import spark.Route;

public class GenerateRoute implements Route {
    private Card card;

    @Override
    public Object handle(Request req, Response res) {
        JsonObject data;
        try {
            data = new Gson().fromJson(req.body(), JsonObject.class);
        } catch (JsonSyntaxException e) {
            res.status(422);
        }

        res.type("image/png");
        res.header("Access-Control-Expose-Headers", "Id");
        card = new Card(data);
        return new Card(data).toByteArray();
    }
}
